×
Kunena 5.1.15 Released (27 Oct 2019)

The Kunena team has announce the arrival of Kunena 5.1.15 [K 5.1.15] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1.

× This category is only for reporting defects or problems with Kunena 1.6 test versions with Joomla 1.6. This is NOT a support forum - there is no support for test versions. Users should NOT install K 1.6 alpha or beta test versions on websites with live production data.

Question Can't add new categories - HELP!

More
8 years 7 months ago #1 by MJDigitalArt
I set up this forum about a month ago, and when I did, I was able to add new categories and sub categories.. now all of the sudden, I cannot.. the only thing I can think of is that I installed a Joomla update.. could this have broken my Kunena install? Every single other aspect of the install seems to work.. any ideas?

This message contains confidential information

Database collation check: The collation of your table fields are correct

Legacy mode: Disabled | Joomla! SEF: Enabled | Joomla! SEF rewrite: Enabled | FTP layer: Disabled |

This message contains confidential information
htaccess: Exists | PHP environment: Max execution time: 30 seconds | Max execution memory: 32M | Max file upload: 2M

This message contains confidential information

Joomla default template details : allrounder-j1.6 | author: Juergen Koller | version: RC3 | creationdate: Mar 2011

Kunena default template details : Blue Eagle (default) | author: Kunena Team | version: 1.6.3 | creationdate: 2011-01-31

Kunena version detailled: Installed version: 1.6.3 | Build: 4344 | Version name: Parlare | Kunena detailled configuration:

Warning: Spoiler! [ Click to expand ]

Third-party components: AlphaUserPoints: Disabled or not installed | CommunityBuilder: Disabled or not installed | Jomsocial: Disabled or not installed | UddeIm: Disabled or not installed

Third-party SEF components: sh404sef: Disabled or not installed | ARTIO JoomSEF: Disabled or not installed | AceSEF: Disabled or not installed

Plugins: System - Mootools12: Disabled | System - Mootools Upgrade: Disabled | JFirePHP: Disabled or not installed | Kunena Discuss: Disabled or not installed | Kunena Search: Disabled or not installed | My Kunena Forum Menu: Disabled or not installed | My Kunena Forum Posts: Disabled or not installed

Modules: Kunena Latest: Disabled or not installed | Kunena Stats: Disabled or not installed | Kunena Login: Disabled or not installed

Please Log in or Create an account to join the conversation.

More
8 years 7 months ago - 8 years 7 months ago #2 by sozzled
J! 1.6.2 was a really bad release. If you must use Joomla 1.6 then please use J! 1.6.3.

Please read K 1.6 Technical Requirements . You will see that K 1.6.3 has problems with Joomla 1.6.

Off-topic but, for the record, these are my personal opinions as an ordinary user of Joomla. Even though Joomla does not intend to proceed to a "J! 1.6.4" version (preferring, instead, to concentrate on J 1.7) J 1.6.3 has many bugs that will continue to make things difficult for site owners. In most of discussions that I have been involved with (offline from this forum) experienced web developers are "under-awed" by J! 1.6 and have not upgraded their sites to that version. The biggest drawback with J! 1.6 at the moment is the lack of a reliable migration for old J! 1.5 extensions. J! 1.7 is expect to greatly improve in that area.

I get the impression that, even though J! 1.6 was 2½ years in the making, that it went through several alpha and beta releases and 12 "release candidate" versions before it went public on 10 Jan this year, J! 1.6 will be forgotten as a momentary blip on the webosphere. These are only my personal opinions, of course, and do not reflect the views of the Kunena project. I still believe that Joomla is a wonderful way to build websites but the results from J! 1.6 have not met the enthusiastic expectations that the Joomla community had way back when J! 1.6 was first being talked about 2½ years ago.
Last edit: 8 years 7 months ago by sozzled.

Please Log in or Create an account to join the conversation.

More
8 years 7 months ago #3 by Matias
I think that there was a small bug when adding categories to Kunena 1.6.3 (maybe it was internal release). There was some kind of workaround for it -- select parent category before adding new, saving the new category and editing it..

For the last week or so I have been working with Matias Aguirre to import Kunena into Joomla 1.6.3. I must agree with sozzled -- while Joomla 1.6.3 seems to be pretty stable by itself, it too many undocumented API changes and/or bugs, all of which can break extensions. Sometimes these issues are obvious, but often they just cause application to do something else than intended. This is what has delayed Kunena 1.6.4 so much -- we wanted it to be stable in Joomla 1.6, but we have kept on finding bug after bug -- and sometimes finding the cause has been very hard.

Another reason for the delay is that we do not have reliable way to upgrade Joomla 1.5 to Joomla 1.6. JUpgrade still needs some work to support Kunena. Importing Kunena itself mostly works, but the importation of large forum can fail on timeout and there are still some bugs in Joomla import, which cause issues in Kunena (broken Kunena menu because of wrong values in the menu module etc).

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.092 seconds